#!/bin/tcsh

#/**************************************************************************
# *
# *-------------------------------------------------------------------------
# * Project Notes : merge_scaffolds.csh 
# **************************************************************************/

set dirName=$1
set refseq=$2
set seqctg=$3

$dirName/merge_scaffolds/cross_genome $refseq $seqctg > cross.out
egrep ALIGN cross.out > map-phusion.dat 
$dirName/merge_scaffolds/parse_cross_genome1 map-phusion.dat | egrep ALIGN > map-phusion-clean.dat
$dirName/merge_scaffolds/parse_cross_genome2 map-phusion-clean.dat | egrep ALIGN > map-phusion-clean2.dat
$dirName/merge_scaffolds/parse_cross_genome3 map-phusion-clean2.dat | egrep "^No:" > map-phusion-contigs.dat
$dirName/merge_scaffolds/parse_cross_genome4 map-phusion-contigs.dat | egrep "^No:" > map-phusion-contigs-clean.dat
$dirName/merge_scaffolds/parse_cross_genome5 -gap 20000 map-phusion-contigs-clean.dat > supercontigs

$dirName/merge_scaffolds/get_seqreads map-phusion-contigs-clean.dat $seqctg seqctg-order.fastq > try.out
$dirName/merge_scaffolds/RPFsuper2fastq.pl seqctg-order.fastq supercontigs > seqctg-placed.fastq
egrep "^contig" supercontigs | awk '{print $2}' > name.dat
$dirName/merge_scaffolds/get_excreads name.dat $seqctg seqctg-unplaced.fastq > try.out

cat seqctg-placed.fastq seqctg-unplaced.fastq > seqctg-merge.fastq

